diff -urN debian-reference-2.47/Makefile debian-reference-2.47.epub/Makefile
--- debian-reference-2.47/Makefile	2011-11-23 02:35:51.000000000 +0900
+++ debian-reference-2.47.epub/Makefile	2011-12-16 22:50:26.541846589 +0900
@@ -87,6 +87,7 @@
 all:
 	$(MAKE) po
 	$(MAKE) html css
+	$(MAKE) epub
 
 # Target for package building
 package: html txt css
@@ -113,6 +114,7 @@
 	-rm -f $(addsuffix .xml,      $(addprefix  $(DOCNAME)., $(LANGPO)))
 	-rm -f $(DOCNAME).en.xml
 	-rm -f $(DOCNAME).en.xmlt header.txt
+	-rm -f $(DOCNAME).*.epub
 
 # Run distclean only for regenerating all locally cached data from remote
 #                          (and all raw XML from asciidoc for lenny@local)
@@ -395,6 +397,12 @@
 		--param=monoseq.hyphenation=nohyphen \
 		--output=$@ -
 
+.PHONY: epub
+epub:	$(foreach lang, en $(LANGPO), $(PUBLISHDIR)/$(DOCNAME).$(lang).epub)
+$(PUBLISHDIR)/$(DOCNAME).%.epub: $(DOCNAME).%.xml $(SRC_ENT)
+	-mkdir -p $(PUBLISHDIR)
+	xmlto --skip-validation epub $<
+
 #######################################################################
 # Build xml/html(indexed) for testing source (local)                ALL
 #######################################################################
diff -urN debian-reference-2.47/debian/control debian-reference-2.47.epub/debian/control
--- debian-reference-2.47/debian/control	2011-11-23 02:35:51.000000000 +0900
+++ debian-reference-2.47.epub/debian/control	2011-12-16 22:51:06.545885945 +0900
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>= 8.0.0)
-Build-Depends-Indep: w3m, xsltproc, docbook-xsl, docbook-xml, po4a, python, locales-all | locales, debiandoc-sgml, libxml2-utils
+Build-Depends-Indep: w3m, xsltproc, docbook-xsl, docbook-xml, po4a, python, locales-all | locales, debiandoc-sgml, libxml2-utils, xmlto, zip
 Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/quick-reference
 Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/quick-reference/
